import express from "express";
import { authController } from "../controller/authController";

const authRouter = express.Router();

authRouter.post("/login", authController.handleLogin.bind(authController));
authRouter.post("/token", authController.handleToken.bind(authController));
authRouter.post(
  "/register",
  authController.handleRegister.bind(authController)
);
authRouter.delete("/logout", authController.handleLogout.bind(authController));
authRouter.post("/account", authController.handleAccount.bind(authController));

export default authRouter;
